Available in Classic
Change the snapshot settings for a NAS volume instance.
Requests
The following describes the request format for the endpoint. The request format is as follows.
| Method | URI |
|---|---|
| GET | POST | /server/v2/changeNasVolumeSnapshotConfiguration |
Note
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
Request headers
For information about the headers common to all NAS APIs, see NAS request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
nasVolumeInstanceNo |
String | Required | Unique number of the NAS volume instance |
snapshotVolumeConfigurationRatio |
Integer | Required | Set the percentage of snapshot allocation in the volume (%)
|
snapshotVolumeConfigDayOfWeekTypeCode |
String | Optional | Enable automatic snapshot creation and set the frequency-1 (daily) | 0 (Sunday) | 1 (Monday) | 2 (Tuesday) | 3 (Wednesday) | 4 (Thursday) | 5 (Friday) | 6 (Saturday)
|
snapshotVolumeConfigTime |
Integer | Conditional | Execution time (hour) for automatic snapshot creation
|
Request example
The following is a sample request.
curl --location --request GET 'https://ncloud.apigw.ntruss.com/server/v2/changeNasVolumeSnapshotConfiguration
?nasVolumeInstanceNo=00000000
&snapshotVolumeConfigurationRatio=4
&snapshotVolumeConfigDayOfWeekTypeCode=6
&snapshotVolumeConfigTime=0' \
--header 'x-ncp-apigw-timestamp: {timestamp}' \
--header 'x-ncp-iam-access-key: {access key}' \
--header 'x-ncp-apigw-signature-v2: {API gateway signature}'
Responses
The following describes the response format.
Response body
See NasVolumeInstanceList for the response body.
Response status codes
For information about the HTTP status codes common to all NAS APIs, see NAS response status codes.
Response example
The following is a sample response.
<?xml version="1.0" encoding="UTF-8"?>
<changeNasVolumeSnapshotConfigurationResponse>
<requestId></requestId>
<returnCode>0</returnCode>
<returnMessage>success</returnMessage>
<totalRows>1</totalRows>
<nasVolumeInstanceList>
<nasVolumeInstance>
<nasVolumeInstanceNo>00000000</nasVolumeInstanceNo>
<nasVolumeInstanceStatus>
<code>CREAT</code>
<codeName>NAS create</codeName>
</nasVolumeInstanceStatus>
<nasVolumeInstanceOperation>
<code>NULL</code>
<codeName>NAS NULL OP</codeName>
</nasVolumeInstanceOperation>
<nasVolumeInstanceStatusName>created</nasVolumeInstanceStatusName>
<createDate>2024-04-03T16:23:17+0900</createDate>
<nasVolumeDescription></nasVolumeDescription>
<mountInformation>10.250.53.85:/n2795985_hsh</mountInformation>
<volumeAllotmentProtocolType>
<code>NFS</code>
<codeName>NFS</codeName>
</volumeAllotmentProtocolType>
<volumeName>n2795985_hsh</volumeName>
<volumeTotalSize>536870912000</volumeTotalSize>
<volumeSize>515396075520</volumeSize>
<snapshotVolumeConfigurationRatio>4.0</snapshotVolumeConfigurationRatio>
<snapshotVolumeConfigPeriodType>
<code>WEEK</code>
<codeName>everyweek</codeName>
</snapshotVolumeConfigPeriodType>
<snapshotVolumeConfigDayOfWeekType>
<code>6</code>
<codeName>Saturday</codeName>
</snapshotVolumeConfigDayOfWeekType>
<snapshotVolumeConfigTime>0</snapshotVolumeConfigTime>
<snapshotVolumeSize>21474836480</snapshotVolumeSize>
<isSnapshotConfiguration>true</isSnapshotConfiguration>
<isEventConfiguration>false</isEventConfiguration>
<region>
<regionNo>1</regionNo>
<regionCode>KR</regionCode>
<regionName>Korea</regionName>
</region>
<zone>
<zoneNo>3</zoneNo>
<zoneName>KR-2</zoneName>
<zoneCode>KR-2</zoneCode>
<zoneDescription>Pyeongchon zone</zoneDescription>
<regionNo>1</regionNo>
</zone>
<isReturnProtection>false</isReturnProtection>
<nasVolumeInstanceCustomIpList/>
<nasVolumeServerInstanceList/>
</nasVolumeInstance>
</nasVolumeInstanceList>
</changeNasVolumeSnapshotConfigurationResponse>